Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis.server
Class TransactionRequestHandler

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          org.jboss.net.axis.server.TransactionResponseHandler
              org.jboss.net.axis.server.TransactionRequestHandler

All Implemented Interfaces:
  org.apache.axis.Handler, Serializable

public class TransactionRequestHandler
extends TransactionResponseHandler

This handler is to create an artifical "client"-side transaction around the web-service request. Useful for interacting with entity beans. It should be complemented by a seperate `org.jboss.net.axis.server.TransactionResponseHandler` in the response chain to finish the transaction.

### Change notes

Version:
  $Revision: 1.5 $
Author:
  Christoph G. Jung
See Also:
  Serialized Form

Field Summary
`protected static Object` | `MARKER`

Fields inherited from class org.jboss.net.axis.server.TransactionResponseHandler
`userTransaction`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`TransactionRequestHandler()`

Method Summary
`void` | `invoke(org.apache.axis.MessageContext msgContext)` begins a new transaction if not yet started

Methods inherited from class org.jboss.net.axis.server.TransactionResponseHandler
`endTransaction, onFault`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MARKER

    protected static final Object MARKER

Constructor Detail

### TransactionRequestHandler

    public TransactionRequestHandler()
                              throws Exception

Method Detail

### invoke

    public void invoke(org.apache.axis.MessageContext msgContext)
                throws org.apache.axis.AxisFault

  begins a new transaction if not yet started

  Specified by:
    `invoke` in interface `org.apache.axis.Handler`
  Overrides:
    `invoke` in class `TransactionResponseHandler`
  Throws:
    `org.apache.axis.AxisFault`
  See Also:
    `Handler#invoke(MessageContext)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.